## com.ibm.lab.soln.swing.internalApplication
Class ABCEditor

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--com.ibm.lab.soln.swing.internalApplication.ABCEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class ABCEditor
extends javax.swing.JFrame

ABCEditor is a simple example of a Swing application that provides a text editor for files of type .abc. The editor provides a File menu and a couple of toolbar buttons to perform simple actions following the Internal-Launch pattern: Launched in a separate window but running in the same JVM as the Eclipse Platform. This allows the tool to integrate with the Platform Core, but not the Platform UI. API integration with tool models provided by other plug-ins is possible. A plug-in manifest file can be used to register the ABCEditor as a command on *.abc files.

See Also:
  Serialized Form

Inner Class Summary
`class` | `ABCEditor.AddSomeTextAction`
`class` | `ABCEditor.FileOpenAction`
`class` | `ABCEditor.FileSaveAction`

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ABCEditor()` Constructor ABCEditor.
`ABCEditor(java.lang.String fileName)` Create the ABCEditor

Method Summary
`protected javax.swing.JMenuBar` | `createMenuBar()` Creaqte the ABCEditor menu bar
`javax.swing.JToolBar` | `createToolBar()` Create the toolBar for the Editor.
`protected javax.swing.JMenu` | `getFileMenu()` Get the File menu.
`static void` | `main(java.lang.String[] argv)` Create an ABCEditor and open it on the given .abc file.
`boolean` | `open(java.io.File file)` Open a .abc file for editing.
`void` | `openOnEclipseFile(org.eclipse.core.resources.IFile eclipseFileResource)` Open an .abc workspace file for editing.
`void` | `save()` Save the current .abc file.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### ABCEditor

    public ABCEditor()

  Constructor ABCEditor.

### ABCEditor

    public ABCEditor(java.lang.String fileName)

  Create the ABCEditor
  Parameters:
    `frameName` - the window title

Method Detail

### createMenuBar

    protected javax.swing.JMenuBar createMenuBar()

  Creaqte the ABCEditor menu bar
  Returns:
    the menubar

### createToolBar

    public javax.swing.JToolBar createToolBar()

  Create the toolBar for the Editor.
  Returns:
    the toolBar

### getFileMenu

    protected javax.swing.JMenu getFileMenu()

  Get the File menu.

### main

    public static final void main(java.lang.String[] argv)

  Create an ABCEditor and open it on the given .abc file.
  Parameters:
    `argv` - the command line arguments can be empty, or a single .abc file

### open

    public boolean open(java.io.File file)

  Open a .abc file for editing.
  Parameters:
    `fileName` - the file to open

### openOnEclipseFile

    public void openOnEclipseFile(org.eclipse.core.resources.IFile eclipseFileResource)

  Open an .abc workspace file for editing.
  Parameters:
    `fileName` - the file to open

### save

    public void save()

  Save the current .abc file.